List limit orders (production)
curl --request GET \
--url https://api.bullionwale.com/api/trading/v1/limit-orders \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.bullionwale.com/api/trading/v1/limit-orders"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"actions": [
"<string>"
],
"id": "<string>",
"quantity": "<string>",
"status": "<string>",
"status_detail": "<string>",
"symbol_code": "<string>",
"total": "<string>",
"trade_type": "<string>",
"trigger_price": "<string>",
"unit": "<string>",
"blocked_reason": "<string>",
"cancel_reason": "<string>",
"client_order_id": "<string>",
"created_at": "<string>",
"environment": "production",
"order_id": "<string>",
"source": "<string>"
}
],
"total": 123
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Limit orders
List limit orders (production)
Switched off. Production trading is implemented but not available: orders are refused with 403 production_trading_disabled. Once it opens, Bullionwale enables production access per account (see Production access requirements).
Every limit order of the account (app, web and API alike), newest first. status=pending is the live queue, confirming ones included.
List limit orders (production)
curl --request GET \
--url https://api.bullionwale.com/api/trading/v1/limit-orders \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.bullionwale.com/api/trading/v1/limit-orders"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"actions": [
"<string>"
],
"id": "<string>",
"quantity": "<string>",
"status": "<string>",
"status_detail": "<string>",
"symbol_code": "<string>",
"total": "<string>",
"trade_type": "<string>",
"trigger_price": "<string>",
"unit": "<string>",
"blocked_reason": "<string>",
"cancel_reason": "<string>",
"client_order_id": "<string>",
"created_at": "<string>",
"environment": "production",
"order_id": "<string>",
"source": "<string>"
}
],
"total": 123
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Query Parameters
Pattern:
^(pending|triggered|cancelled|all)$Required range:
1 <= x <= 200Required range:
x >= 0Maximum string length:
32Maximum string length:
8